#!/usr/bin/env python
#-*- coding: UTF-8 -*-
 
import wx
from   .encfsmanmisc import *

class CustomStatusBar(wx.StatusBar):
    ID_LED = wx.NewId()
    
    def __init__(self, parent):
        wx.StatusBar.__init__(self, parent, -1)
        self.parent = parent
        self.Bind(wx.EVT_SIZE, self.rePosition)
        self.SetFieldsCount(2)
        self.SetStatusWidths([-1, 25])
        self.leds = {RED   : loadIcon('red.bmp'),
                     GREEN : loadIcon('green.bmp'),
                    }
        self.bm = wx.StaticBitmap(self, -1, self.leds[RED])
        self.rePosition()
    #-------------------------------------------------------------------------------------------------------

    def setLed(self, color):
        self.bm.SetBitmap(self.leds[color])
    #-------------------------------------------------------------------------------------------------------

    def rePosition(self, event = None):
        rect = self.GetFieldRect(1)
        self.bm.SetPosition(wx.Point(rect.x + 3, rect.y + 3))
# - CustomStatusBar(wx.StatusBar):-------------------------------------------------------------------------
